Bug 185243 - [patch] mozilla support does not work on x86_64
[patch] mozilla support does not work on x86_64
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-12 14:05 EST by Scott Tsai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:21:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
find lib64 mozilla/chrome/comm.jar (424 bytes, patch)
2006-03-12 14:05 EST, Scott Tsai
no flags Details | Diff

  None (edit)
Description Scott Tsai 2006-03-12 14:05:40 EST
Description of problem:
The /usr/bin/liferea start up script contains a bug that prevents mozilla
support from working on platforms that install it under /usr/lib64.

Version-Release number of selected component (if applicable):
liferea-1.0.7-2.fc5

How reproducible:
always

Steps to Reproduce:
1.install mozilla and liferea
2.start liferea
  
Actual results:
Neither Mozilla nor Firefox is available...

Expected results:
Should not print the unavailable message

Additional info:
The /usr/bin/liferea script wants the path to $MOZILLA_HOME/chrome/comm.jar 
not the $MOZILLA_HOME path.
The one line patch below makes it work, also attached:
--- liferea.orig        2006-03-13 03:01:42.000000000 +0800
+++ liferea     2006-03-13 03:02:21.000000000 +0800
@@ -38,7 +38,7 @@
        run_with_mozilla $MOZILLA_FIVE_HOME
 fi

-look_for_mozilla "/usr/lib64/mozilla-1.7.12"
+look_for_mozilla "/usr/lib64/mozilla*/chrome/comm.jar
Comment 1 Scott Tsai 2006-03-12 14:05:40 EST
Created attachment 126010 [details]
find lib64 mozilla/chrome/comm.jar
Comment 2 Brian Pepple 2006-03-15 10:21:27 EST
This should be fixed in liferea-1.0.7-3 that should be pushed out in Rawhide
later today.

Note You need to log in before you can comment on or make changes to this bug.